org.apache.axiom.soap.impl.builder

## Class MTOMStAXSOAPModelBuilder

- java.lang.Object
- - org.apache.axiom.om.impl.builder.StAXBuilder
  - - org.apache.axiom.om.impl.builder.StAXOMBuilder
    - - org.apache.axiom.soap.impl.builder.StAXSOAPModelBuilder
      - - org.apache.axiom.soap.impl.builder.MTOMStAXSOAPModelBuilder

- All Implemented Interfaces:
    CustomBuilderSupport, XOPBuilder, OMAttachmentAccessor, OMXMLParserWrapper, SOAPModelBuilder

      public class MTOMStAXSOAPModelBuilder
      extends StAXSOAPModelBuilder
      implements XOPBuilder

  Internal implementation class.

- - ### Field Summary

    - ### Fields inherited from class org.apache.axiom.om.impl.builder.StAXBuilder

      `_isClosed, cache, charEncoding, customBuilderForPayload, customBuilders, dataHandlerReader, document, done, elementLevel, maxDepthForCustomBuilders, omfactory, parser, parserAccessed, parserException, target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MTOMStAXSOAPModelBuilder(SOAPFactory soapFactory, javax.xml.stream.XMLStreamReader reader, MimePartProvider mimePartProvider, Detachable detachable, Closeable closeable)` For internal use only.
    `MTOMStAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader reader, Attachments attachments)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `MTOMStAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader reader, Attachments attachments, String soapVersion)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `MTOMStAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser, SOAPFactory factory, Attachments attachments, String soapVersion)` Deprecated. Please use the `OMXMLBuilderFactory` API.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attachments` | `getAttachments()`
    `javax.activation.DataHandler` | `getDataHandler(String blobContentID)`

    - ### Methods inherited from class org.apache.axiom.soap.impl.builder.StAXSOAPModelBuilder

      `constructNode, createDocument, createDTD, createEntityReference, createNextOMElement, createPI, getEnvelopeNamespace, getSOAPEnvelope, getSOAPFactory, getSoapMessage, getSOAPMessage, identifySOAPVersion`

    - ### Methods inherited from class org.apache.axiom.om.impl.builder.StAXOMBuilder

      `createComment, createOMElement, createPrefix, createWithCustomBuilder, getDocumentElement, getDocumentElement, isLookahead, isNamespaceURIInterning, logParserState, lookahead, next, processNamespaceData, setDoDebug, setNamespaceURIInterning`

    - ### Methods inherited from class org.apache.axiom.om.impl.builder.StAXBuilder

      `close, createDocumentIfNecessary, createOMText, debugDiscarded, detach, disableCaching, discard, discard, getAttributeCount, getAttributeName, getAttributeNamespace, getAttributePrefix, getBuilderType, getCharacterEncoding, getCharsetEncoding, getCustomBuilder, getDocument, getName, getNamespace, getNamespaceCount, getNamespacePrefix, getNamespaceUri, getParser, getPrefix, getReaderProperty, getRegisteredContentHandler, getText, init, isCache, isClosed, isCompleted, processAttributes, reenableCaching, registerCustomBuilder, registerCustomBuilderForPayload, registerExternalContentHandler, releaseParserOnClose, setAutoClose, setCache, setOMBuilderFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axiom.om.OMXMLParserWrapper

      `close, detach, discard, getBuilderType, getCharacterEncoding, getDocument, getDocumentElement, getDocumentElement, getParser, getRegisteredContentHandler, isCache, isCompleted, next, registerExternalContentHandler, setCache`

- - ### Constructor Detail

    - #### MTOMStAXSOAPModelBuilder

          public MTOMStAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader parser,
                                          SOAPFactory factory,
                                          Attachments attachments,
                                          String soapVersion)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### MTOMStAXSOAPModelBuilder

          public MTOMStAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader reader,
                                          Attachments attachments,
                                          String soapVersion)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### MTOMStAXSOAPModelBuilder

          public MTOMStAXSOAPModelBuilder(javax.xml.stream.XMLStreamReader reader,
                                          Attachments attachments)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### MTOMStAXSOAPModelBuilder

          public MTOMStAXSOAPModelBuilder(SOAPFactory soapFactory,
                                          javax.xml.stream.XMLStreamReader reader,
                                          MimePartProvider mimePartProvider,
                                          Detachable detachable,
                                          Closeable closeable)

      For internal use only.

  - ### Method Detail

    - #### getDataHandler

          public javax.activation.DataHandler getDataHandler(String blobContentID)
                                                      throws OMException

      Specified by:
        `getDataHandler` in interface `OMAttachmentAccessor`
      Parameters:
        `blobContentID` - (without the surrounding angle brackets and "cid:" prefix)
      Returns:
        The DataHandler of the mime part referred by the Content-Id or *null* if the mime part referred by the content-id does not exist
      Throws:
        `OMException`

    - #### getAttachments

          public Attachments getAttachments()

      Specified by:
        `getAttachments` in interface `XOPBuilder`

Copyright © The Apache Software Foundation. All Rights Reserved.